Skip to main content
`Ctrl`+`K`

# PetscObjectsView

Prints the currently existing objects.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectsView(PetscViewer viewer)

Logically Collective

## Input Parameter

- viewer - must be an `PETSCVIEWERASCII` viewer

## See Also

`PetscObject`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages